ClientSideCursorTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class ClientSideCursorTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.ClientSideCursorTest

-     public class ClientSideCursorTest
      extends DatabaseTestCase

  Test case to illustrate use of Cached cursor result set.
  Version:
    1.0
  Author:
    Mike Hutchinson

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSideCursorTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testCachedCursor()` General test of scrollable cursor functionality.
    `void` | `testOptimisticUpdates()` Test optimistic updates throw exception if row is changed on disk.
    `void` | `testPositionedUpdate()` Test support for JDBC 1 style positioned updates with named cursors.
    `void` | `testUpdateNoKeys()` Test updateable result set where table is not keyed.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSideCursorTest

          public ClientSideCursorTest(java.lang.String name)

  - ### Method Detail

    - #### testCachedCursor

          public void testCachedCursor()
                                throws java.lang.Exception

      General test of scrollable cursor functionality.

      When running on SQL Server this test will exercise MSCursorResultSet. When running on Sybase this test will exercise CachedResultSet.
      Throws:
        `java.lang.Exception`

    - #### testPositionedUpdate

          public void testPositionedUpdate()
                                    throws java.lang.Exception

      Test support for JDBC 1 style positioned updates with named cursors.

      When running on SQL Server this test will exercise MSCursorResultSet. When running on Sybase this test will exercise CachedResultSet.
      Throws:
        `java.lang.Exception`

    - #### testOptimisticUpdates

          public void testOptimisticUpdates()
                                     throws java.lang.Exception

      Test optimistic updates throw exception if row is changed on disk.

      When running on SQL Server this test will exercise MSCursorResultSet. When running on Sybase this test will exercise CachedResultSet.
      Throws:
        `java.lang.Exception`

    - #### testUpdateNoKeys

          public void testUpdateNoKeys()
                                throws java.lang.Exception

      Test updateable result set where table is not keyed. Uses a server side cursor and positioned updates on Sybase.
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013